ome-xml 5.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
ome::xml::model::Laser::Impl Class Reference

Private implementation details of Laser model object. More...

## Public Member Functions
| Impl ()
| Default constructor.
| Impl (const Impl &copy)
| Copy constructor.

## Public Attributes
ome::compat::shared_ptr< bool > | pockelCell
| PockelCell property.
ome::compat::shared_ptr< ome::xml::model::enums::Pulse > | pulse
| Pulse property.
ome::compat::shared_ptr< ome::xml::model::enums::LaserMedium > | laserMedium
| LaserMedium property.
ome::compat::shared_ptr< bool > | tuneable
| Tuneable property.
ome::compat::shared_ptr< ome::xml::model::primitives::PositiveInteger > | wavelength
| Wavelength property.
ome::compat::shared_ptr< ome::xml::model::primitives::PositiveInteger > | frequencyMultiplication
| FrequencyMultiplication property.
ome::compat::shared_ptr< ome::xml::model::enums::LaserType > | type
| Type property.
ome::compat::shared_ptr< double > | repetitionRate
| RepetitionRate property.
ome::compat::weak_ptr< ome::xml::model::LightSource > | pump
| Pump reference.

## Detailed Description

Private implementation details of Laser model object.

The documentation for this class was generated from the following file:

- ome/xml/model/Laser.cpp